# osgDB::ReaderWriter::WriteResult Class Reference

List of all members.

## Public Types

enum | WriteStatus { FILE_NOT_HANDLED, FILE_SAVED, ERROR_IN_WRITING_FILE }

## Public Member Functions

| WriteResult (WriteStatus status=FILE_NOT_HANDLED)
| WriteResult (const std::string &m)
| WriteResult (const WriteResult &rr)
WriteResult & | operator= (const WriteResult &rr)
const std::string & | message () const
WriteStatus | status () const
bool | success () const
bool | error () const
bool | notHandled () const

## Protected Attributes

WriteStatus | _status
std::string | _message

## Member Enumeration Documentation

enum osgDB::ReaderWriter::WriteResult::WriteStatus

Enumeration values:

  FILE_NOT_HANDLED |
  FILE_SAVED |
  ERROR_IN_WRITING_FILE |

## Constructor & Destructor Documentation

osgDB::ReaderWriter::WriteResult::WriteResult | ( | WriteStatus | status = `FILE_NOT_HANDLED` | ) | `[inline]`

osgDB::ReaderWriter::WriteResult::WriteResult | ( | const std::string & | m | ) | `[inline]`

osgDB::ReaderWriter::WriteResult::WriteResult | ( | const WriteResult & | rr | ) | `[inline]`

## Member Function Documentation

bool osgDB::ReaderWriter::WriteResult::error | ( |  | ) | const`[inline]`

const std::string& osgDB::ReaderWriter::WriteResult::message | ( |  | ) | const`[inline]`

bool osgDB::ReaderWriter::WriteResult::notHandled | ( |  | ) | const`[inline]`

WriteResult& osgDB::ReaderWriter::WriteResult::operator= | ( | const WriteResult & | rr | ) | `[inline]`

WriteStatus osgDB::ReaderWriter::WriteResult::status | ( |  | ) | const`[inline]`

bool osgDB::ReaderWriter::WriteResult::success | ( |  | ) | const`[inline]`

## Member Data Documentation

std::string osgDB::ReaderWriter::WriteResult::_message `[protected]`

WriteStatus osgDB::ReaderWriter::WriteResult::_status `[protected]`

The documentation for this class was generated from the following file:

- ReaderWriter